// show dbs
use doclass_tests
db.repository.insert({"_id" : 1, "uri" : "20_newsgroups/alt.atheism"})
db.repository.insert({"_id" : 2, "uri" : "20_newsgroups/comp.graphics"})
db.repository.insert({"_id" : 3, "uri" : "20_newsgroups/comp.os.ms-windows.misc"})
db.repository.insert({"_id" : 4, "uri" : "20_newsgroups/comp.sys.ibm.pc.hardware"})
db.repository.insert({"_id" : 5, "uri" : "20_newsgroups/comp.sys.mac.hardware"})
db.repository.insert({"_id" : 6, "uri" : "20_newsgroups/comp.windows.x"})
db.repository.insert({"_id" : 7, "uri" : "20_newsgroups/misc.forsale"})
db.repository.insert({"_id" : 8, "uri" : "20_newsgroups/rec.autos"})
db.repository.insert({"_id" : 9, "uri" : "20_newsgroups/rec.motorcycles"})
db.repository.insert({"_id" : 10, "uri" : "20_newsgroups/rec.sport.baseball"})
db.repository.insert({"_id" : 11, "uri" : "20_newsgroups/rec.sport.hockey"})
db.repository.insert({"_id" : 12, "uri" : "20_newsgroups/sci.crypt"})
db.repository.insert({"_id" : 13, "uri" : "20_newsgroups/sci.electronics"})
db.repository.insert({"_id" : 14, "uri" : "20_newsgroups/sci.med"})
db.repository.insert({"_id" : 15, "uri" : "20_newsgroups/sci.space"})
db.repository.insert({"_id" : 16, "uri" : "20_newsgroups/soc.religion.christian"})
db.repository.insert({"_id" : 17, "uri" : "20_newsgroups/talk.politics.guns"})
db.repository.insert({"_id" : 18, "uri" : "20_newsgroups/talk.politics.mideast"})
db.repository.insert({"_id" : 19, "uri" : "20_newsgroups/talk.politics.misc"})
db.repository.insert({"_id" : 20, "uri" : "20_newsgroups/talk.religion.misc"})
db.collection.insert({"_id" : 1, "name" : "20_newsgroups", "description" : "20 news groups dataset", "repo_list" : [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20]})
db.label_set.insert({ "_id" : 1, "name" : "20_newsgroups", "full_name" : "20_newsgroups", "description" : "20 newsgroups dataset", "labels" : [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20], "properties" : [ "one_of" ] })
db.label.insert({ "_id":1, "name":"alt.atheism","full_name":"20_newsgroups.alt_atheism","description":"alt.atheism newsgroups message","label_set":"1","alias":"ALT.ATHEISM","color":"#006400"})
db.label.insert({ "_id":2, "name":"comp.graphics","full_name":"20_newsgroups.comp_graphics","description":"comp.graphics newsgroups message","label_set":"1","alias":"COMP.GRAPHICS","color":"#008000"})
db.label.insert({ "_id":3, "name":"comp.os.ms-windows.misc","full_name":"20_newsgroups.comp_os_ms-windows_misc","description":"comp.os.ms-windows.misc newsgroups message","label_set":"1","alias":"COMP.OS.MS-WINDOWS.MISC","color":"#228B22"})
db.label.insert({ "_id":4, "name":"comp.sys.ibm.pc.hardware","full_name":"20_newsgroups.comp_sys_ibm_pc_hardware","description":"comp.sys.ibm.pc.hardware newsgroups message","label_set":"1","alias":"COMP.SYS.IBM.PC.HARDWARE","color":"#32CD32"})
db.label.insert({ "_id":5, "name":"comp.sys.mac.hardware","full_name":"20_newsgroups.comp_sys_mac_hardware","description":"comp.sys.mac.hardware newsgroups message","label_set":"1","alias":"COMP.SYS.MAC.HARDWARE","color":"#00FF00"})
db.label.insert({ "_id":6, "name":"comp.windows.x","full_name":"20_newsgroups.comp_windows_x","description":"comp.windows.x newsgroups message","label_set":"1","alias":"COMP.WINDOWS.X","color":"#7CFC00"})
db.label.insert({ "_id":7, "name":"misc.forsale","full_name":"20_newsgroups.misc_forsale","description":"misc.forsale newsgroups message","label_set":"1","alias":"MISC.FORSALE","color":"#ADFF2F"})
db.label.insert({ "_id":8, "name":"rec.autos","full_name":"20_newsgroups.rec_autos","description":"rec.autos newsgroups message","label_set":"1","alias":"REC.AUTOS","color":"#9ACD32"})
db.label.insert({ "_id":9, "name":"rec.motorcycles","full_name":"20_newsgroups.rec_motorcycles","description":"rec.motorcycles newsgroups message","label_set":"1","alias":"REC.MOTORCYCLES","color":"#6B8E23"})
db.label.insert({ "_id":10, "name":"rec.sport.baseball","full_name":"20_newsgroups.rec_sport_baseball","description":"rec.sport.baseball newsgroups message","label_set":"1","alias":"REC.SPORT.BASEBALL","color":"#556B2F"})
db.label.insert({ "_id":11, "name":"rec.sport.hockey","full_name":"20_newsgroups.rec_sport_hockey","description":"rec.sport.hockey newsgroups message","label_set":"1","alias":"REC.SPORT.HOCKEY","color":"#808000"})
db.label.insert({ "_id":12, "name":"sci.crypt","full_name":"20_newsgroups.sci_crypt","description":"sci.crypt newsgroups message","label_set":"1","alias":"SCI.CRYPT","color":"#B8860B"})
db.label.insert({ "_id":13, "name":"sci.electronics","full_name":"20_newsgroups.sci_electronics","description":"sci.electronics newsgroups message","label_set":"1","alias":"SCI.ELECTRONICS","color":"#CD853F"})
db.label.insert({ "_id":14, "name":"sci.med","full_name":"20_newsgroups.sci_med","description":"sci.med newsgroups message","label_set":"1","alias":"SCI.MED","color":"#D2691E"})
db.label.insert({ "_id":15, "name":"sci.space","full_name":"20_newsgroups.sci_space","description":"sci.space newsgroups message","label_set":"1","alias":"SCI.SPACE","color":"#B22222"})
db.label.insert({ "_id":16, "name":"soc.religion.christian","full_name":"20_newsgroups.soc_religion_christian","description":"soc.religion.christian newsgroups message","label_set":"1","alias":"SOC.RELIGION.CHRISTIAN","color":"#A52A2A"})
db.label.insert({ "_id":17, "name":"talk.politics.guns","full_name":"20_newsgroups.talk_politics_guns","description":"talk.politics.guns newsgroups message","label_set":"1","alias":"TALK.POLITICS.GUNS","color":"#800000"})
db.label.insert({ "_id":18, "name":"talk.politics.mideast","full_name":"20_newsgroups.talk_politics_mideast","description":"talk.politics.mideast newsgroups message","label_set":"1","alias":"TALK.POLITICS.MIDEAST","color":"#C71585"})
db.label.insert({ "_id":19, "name":"talk.politics.misc","full_name":"20_newsgroups.talk_politics_misc","description":"talk.politics.misc newsgroups message","label_set":"1","alias":"TALK.POLITICS.MISC","color":"#FF1493"})
db.label.insert({ "_id":20, "name":"talk.religion.misc","full_name":"20_newsgroups.talk_religion_misc","description":"talk.religion.misc newsgroups message","label_set":"1","alias":"TALK.RELIGION.MISC","color":"#FF69B4"})

